3D-Drucker/FreeCad: Unterschied zwischen den Versionen

Aus Wiki CCC Göttingen
Wechseln zu: Navigation, Suche
(Erzeugte Modelle)
(Mesh2Part)
 
(2 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 1: Zeile 1:
 
==Kommentare==
 
==Kommentare==
* leider ist das paket in debian sid/testing gerade nicht zu gebrauchen --[[Benutzer:Hefee|Hefee]] 01:57, 28. Feb. 2012 (CET)
+
* leider ist das Paket in debian sid/testing gerade nicht zu gebrauchen --[[Benutzer:Hefee|Hefee]] 01:57, 28. Feb. 2012 (CET)
 +
** die version 0.12.5284-dfsg-5+b1 ist nun wieder benutzbar --[[Benutzer:Hefee|Hefee]] 01:36, 11. Apr. 2012 (CEST)
 
* selber aus den sourcen(git) gebaut - [http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=CompileOnUnix freecad kompilieren]
 
* selber aus den sourcen(git) gebaut - [http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=CompileOnUnix freecad kompilieren]
  
Zeile 8: Zeile 9:
  
 
== STLs fixen ==
 
== STLs fixen ==
 +
zu Problemen führen duplicated Points, Non Manifolds und self Intersections. Duplicated Points und Non Manifolds können meist von freecad befriediedigend repariert werden.
 +
 
* use Mesh design (View -> Workbensh -> mesh design)
 
* use Mesh design (View -> Workbensh -> mesh design)
 
* Meshes -> Analyse -> Evalulate & Repair Meshes ...
 
* Meshes -> Analyse -> Evalulate & Repair Meshes ...
 +
*
 
[[Datei:freecad-repair.png|400px]]
 
[[Datei:freecad-repair.png|400px]]
 +
 +
== Mesh to Part ==
 +
Wenn nur ein stl vorliegt, aber mensch in freecad das stl weiterverwenden kann ist es nützlich, das Mesh (hier mit dem namen mymesh) zu einem Part zu konvertieren:
 +
<highlightSyntax language="python">
 +
import Mesh,Part
 +
mesh = App.ActiveDocument.getObject("mymesh").Mesh
 +
shape = Part.Shape()
 +
shape.makeShapeFromMesh(mesh.Topology,0.05)
 +
solid = Part.makeSolid(shape)
 +
Part.show(solid)
 +
</highlightSyntax>
 +
siehe auch http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=Mesh_to_Part
 +
  
 
== Erzeugte Modelle ==
 
== Erzeugte Modelle ==
Zeile 16: Zeile 33:
 
* [[3D-Drucker/Peaceflower#Blumenaufsatz]]
 
* [[3D-Drucker/Peaceflower#Blumenaufsatz]]
 
* [[Flevo]]
 
* [[Flevo]]
 
+
* [[Garmin]]
 
[[Kategorie:3D-Drucker]]
 
[[Kategorie:3D-Drucker]]

Aktuelle Version vom 3. Mai 2012, 20:41 Uhr

Kommentare

  • leider ist das Paket in debian sid/testing gerade nicht zu gebrauchen --Hefee 01:57, 28. Feb. 2012 (CET)
    • die version 0.12.5284-dfsg-5+b1 ist nun wieder benutzbar --Hefee 01:36, 11. Apr. 2012 (CEST)
  • selber aus den sourcen(git) gebaut - freecad kompilieren

STL erstellen

  • use mesh desgin (View -> Workbensh -> mesh design)
  • Meshes -> "Create Mesh from geometry"

STLs fixen

zu Problemen führen duplicated Points, Non Manifolds und self Intersections. Duplicated Points und Non Manifolds können meist von freecad befriediedigend repariert werden.

  • use Mesh design (View -> Workbensh -> mesh design)
  • Meshes -> Analyse -> Evalulate & Repair Meshes ...

Freecad-repair.png

Mesh to Part

Wenn nur ein stl vorliegt, aber mensch in freecad das stl weiterverwenden kann ist es nützlich, das Mesh (hier mit dem namen mymesh) zu einem Part zu konvertieren: <highlightSyntax language="python">

import Mesh,Part
mesh = App.ActiveDocument.getObject("mymesh").Mesh
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Topology,0.05)
solid = Part.makeSolid(shape)
Part.show(solid)

</highlightSyntax> siehe auch http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=Mesh_to_Part


Erzeugte Modelle